Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version: 6.0.0   

Resolution: Fixed   

Description

Some lazy users may use their login IDs or their names as passwords. This can be a security threat.

Such passwords should always be rejected.

Associated revisions

Revision 22888 - 2024-06-21 07:32 - Go MAEDA

Reject passwords that are the same as login, first name, last name, or email (#37279).

Patch by Go MAEDA (@maeda).

Revision 22893 - 2024-06-22 09:35 - Go MAEDA

Update locales (#37279).

History

#2 - 2022-07-09 09:08 - Go MAEDA

- File 37279.patch added

The attached patch adds User#test_validate_password_complexity. It rejects passwords that are the same as the user's login, first name, last name,

or email for now. I think it would be great if the method is extended to also reject passwords with dictionary words in the future.

#3 - 2022-07-09 09:14 - Go MAEDA

- File deleted (37279.patch)

#4 - 2022-07-09 09:14 - Go MAEDA

- File 37279.patch added

#5 - 2024-05-26 07:01 - Go MAEDA

- Subject changed from Reject passwords that are the same as login, first name, or last name to Reject passwords that are the same as login, first

name, last name, or email

- Target version set to 6.0.0

Setting the target version to 6.0.0.

#6 - 2024-06-21 07:33 - Go MAEDA

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch in r22888.

#7 - 2024-06-22 09:36 - Go MAEDA

- Status changed from Resolved to Closed

2025-05-17 1/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/22888


Updated locales in r22893.

Files

37279.patch 2.33 KB 2022-07-09 Go MAEDA
